.pac-container {
  z-index: 9999 !important;
}
.geoDataHolderWrapper {
  display: inline-block;
  margin: 15px 15px 15px 0;
}
geoDataHolderWrapperSingle {
  display: block;
  margin: 15px 15px 15px 0;
}

.geoDataHolder {
  margin-bottom: 15px;
  position: relative;
}
.geoDataHolder:after {
  clear: both;
}

.geoDataHolder textarea {
  width: 100%;
  margin-bottom: 10px!important;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

#geoDataHolderLocation {
  float: left;
  margin-right: 15px;
}
#geocodemap_submit {
  float: right;
}
#geoDataAddMore {
  clear: both;
}
.geoDataRemove {
  margin: 15px;
  width: auto!important;
  position: absolute;
  top: 0;
  right: 0;
}
.geoDataRemove:before {
  color: #bd362f;
}
.geoDataRemove span {
  padding: 0 0 0 10px;
}

@media (max-width: 768px) {
  .geoDataRemove {
    margin: -10px;
    padding: 5px!important;
  }
  .geoDataRemove span {
    text-indent: -9999px;
    display: block;
  }
}

#geoDataAddMore {
  width: auto!important;
}
#geoDataAddMore:before {
  padding: 0 10px 0 0;
  color: #51a351;
}

.geoDataHolderPopupCheckbox {
  margin-left: 10px!important;
  margin-top: 0!important;
}

/* for joomla 2.5 */

.ninej_responsive_map_holder_j25 {
  clear: both;
}

.ninej_responsive_map_holder_j25 .hidden {
  display: none;
  visibility: hidden;
}

.ninej_responsive_map_holder_j25 .geoDataRemove span {
  text-indent: 0;
  padding: 0;
}

.ninej_responsive_map_holder_j25 .well {
  min-height: 20px;
  padding: 19px;
  margin-bottom: 20px;
  background-color: #f5f5f5;
  border: 1px solid #e3e3e3;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  border-radius: 4px;
  -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,0.05);
  -moz-box-shadow: inset 0 1px 1px rgba(0,0,0,0.05);
  box-shadow: inset 0 1px 1px rgba(0,0,0,0.05);
}

.ninej_responsive_map_holder_j25 .well-small {
padding: 9px;
-webkit-border-radius: 3px;
-moz-border-radius: 3px;
border-radius: 3px;
}

.ninej_responsive_map_holder_j25 input {
  float: none;
}

.ninej_responsive_map_holder_j25 .btn {
  display: inline-block;
  padding: 1px 12px;
  margin-bottom: 0;
  text-align: center;
  vertical-align: middle;
  cursor: pointer;
  color: #333;
  text-shadow: 0 1px 1px rgba(255,255,255,0.75);
  background-color: #f5f5f5;
  background-image: -moz-linear-gradient(top,#fff,#e6e6e6);
  background-image: -webkit-gradient(linear,0 0,0 100%,from(#fff),to(#e6e6e6));
  background-image: -webkit-linear-gradient(top,#fff,#e6e6e6);
  background-image: -o-linear-gradient(top,#fff,#e6e6e6);
  background-image: linear-gradient(to bottom,#fff,#e6e6e6);
  background-repeat: repeat-x;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffffffff', endColorstr='#ffe5e5e5', GradientType=0);
  border-color: #e6e6e6 #e6e6e6 #bfbfbf;
  filter: progid:DXImageTransform.Microsoft.gradient(enabled = false);
  border: 1px solid #bbb;
  border-bottom-color: #a2a2a2;
  -webkit-border-radius: 4px;
  -moz-border-radius: 4px;
  border-radius: 4px;
  -webkit-box-shadow: inset 0 1px 0 rgba(255,255,255,.2), 0 1px 2px rgba(0,0,0,.05);
  -moz-box-shadow: inset 0 1px 0 rgba(255,255,255,.2), 0 1px 2px rgba(0,0,0,.05);
  box-shadow: inset 0 1px 0 rgba(255,255,255,.2), 0 1px 2px rgba(0,0,0,.05);
}

.ninej_responsive_map_holder_j25 .btn-success {
  color: #fff;
  text-shadow: 0 -1px 0 rgba(0,0,0,0.25);
  background-color: #5bb75b;
  background-image: -moz-linear-gradient(top,#62c462,#51a351);
  background-image: -webkit-gradient(linear,0 0,0 100%,from(#62c462),to(#51a351));
  background-image: -webkit-linear-gradient(top,#62c462,#51a351);
  background-image: -o-linear-gradient(top,#62c462,#51a351);
  background-image: linear-gradient(to bottom,#62c462,#51a351);
  background-repeat: repeat-x;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff62c462', endColorstr='#ff51a351', GradientType=0);
  border-color: #51a351 #51a351 #387038;
  filter: progid:DXImageTransform.Microsoft.gradient(enabled = false);
}

.ninej_responsive_map_holder_j25 .btn:hover, .ninej_responsive_map_holder_j25 .btn:active, .ninej_responsive_map_holder_j25 .btn:focus {
  color: #025a8d;
  text-decoration: none;
}

.ninej_responsive_map_holder_j25 .geoDataRemove:hover, .ninej_responsive_map_holder_j25 .geoDataRemove:active, .ninej_responsive_map_holder_j25 .geoDataRemove:focus {
  color: #ff0000;
}

.ninej_responsive_map_holder_j25 .geoDataHolderPopup {
  vertical-align: top;
  padding-top: 4px;
  display: inline-block;
}

.ninej_responsive_map_holder_j25 .geoDataHolderPopupCheckbox {
  margin-top:5px!important;
}

.ninej_responsive_map_holder_j25 #geoDataAddMore {
  margin-bottom: 15px;
}

.ninej_responsive_map_holder_j25 .input-medium {
  width: 150px;
}

.ninej_responsive_map_holder_j25 .input-xlarge {
  width: 270px;
}

.ninej_responsive_map_holder_j25 .map_canvas {
  margin-top: 15px;
}

.geoDataGeocodeLink {
  background-color: #184a7d!important;
  background-image: -moz-linear-gradient(top,#17568c,#1a3867)!important;
  background-image: -webkit-gradient(linear,0 0,0 100%,from(#17568c),to(#1a3867))!important;
  background-image: -webkit-linear-gradient(top,#17568c,#1a3867)!important;
  background-image: -o-linear-gradient(top,#17568c,#1a3867)!important;
  background-image: linear-gradient(to bottom,#17568c,#1a3867)!important;
  background-repeat: repeat-x!important;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff17568c', endColorstr='#ff1a3867', GradientType=0)!important;
  color: #ffffff!important;
  text-shadow: 1px 1px 1px rgba(0,0,0,0.8)!important;
}

.ninej_responsive_map_holder_j3 .geoDataGeocodeLink {
  width: auto;
}

.ninej_responsive_map_holder_j3 .geoDataGeocodeLink:before {
  padding: 0 10px 0 0;
}

#geocodemap_search, #geocodemap_submit {
  margin-bottom: 9px;
}

#geocodemap img {
  max-width: initial!important;
}